document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_20200 | ---
+++
@@ -27,7 +27,7 @@
echo "Copying yarn-site.xml to hbase directory"
-if [ -f "/etc/hadoop/conf.cloudera.yarn/yarn-site.xml" ] ; then
+if [ -r "/etc/hadoop/conf.cloudera.yarn/yarn-site.xml" ] ; then
cp "/etc/hadoop/conf.cloudera.yarn/yarn-site.xml" "$CONF_DIR"
else
echo "Could not find yarn-site.... | bash |
d_bash_20201 | ---
+++
@@ -2,6 +2,9 @@
MODULE_DIR=$(pwd)
BIN_DIR="${MODULE_DIR}/bin"
PROJECT_DIR=$(realpath ../..)
+if [ -f "${PROJECT_DIR}/.env"]; then
+ touch "${PROJECT_DIR}/.env"
+fi
if [ -d "${PROJECT_DIR}/Config" ]; then
echo "app allready installed"
exit 0 | bash |
d_bash_20202 | ---
+++
@@ -20,10 +20,10 @@
dlecan/rust-x86_64-armv6:stable \
cargo build --verbose --target arm-unknown-linux-gnueabihf
- docker run -it --rm \
- -v $(pwd):/source \
- dlecan/rust-x86_64-armv6:stable \
- cargo test --verbose --target arm-unknown-linux-gnueabihf
+# docker run -it --rm \
+# -... | bash |
d_bash_20203 | ---
+++
@@ -1,3 +1,4 @@
if (( $+commands[yarn] )); then
- export PATH="`yarn global bin`:$PATH"
+ local YARN_BIN="$(yarn global bin 2>/dev/null)"
+ export PATH="$YARN_BIN:$PATH"
fi | bash |
d_bash_20204 | ---
+++
@@ -1,26 +1,28 @@
#!/bin/sh
+
+${RABBITMQCTL:="sudo rabbitmqctl"}
# guest:guest has full access to /
-sudo rabbitmqctl add_vhost /
-sudo rabbitmqctl add_user guest guest
-sudo rabbitmqctl set_permissions -p / guest ".*" ".*" ".*"
+$RABBITMQCTL add_vhost /
+$RABBITMQCTL add_user guest guest
+$RABBITMQCTL... | bash |
d_bash_20205 | ---
+++
@@ -10,6 +10,12 @@
defaults write com.apple.dock persistent-apps -array-add "$XML"
}
+full_dock () {
+ DIRECTORY="$1.app";
+ XML="<dict><key>tile-data</key><dict><key>file-data</key><dict><key>_CFURLString</key><string>${DIRECTORY}</string><key>_CFURLStringType</key><integer>0</integer></dict></... | bash |
d_bash_20206 | ---
+++
@@ -10,7 +10,7 @@
export BUNDLE_GEMFILE=cf.Gemfile
bundle install --jobs="$(nproc)" --no-cache
- bundle exec buildpack-build cf_spec --host="$DEPLOYMENT_NAME.$BOSH_LITE_DOMAIN_NAME"--no-build --no-upload
+ bundle exec buildpack-build cf_spec --host="$DEPLOYMENT_NAME.$BOSH_LITE_DOMAIN_NAME" --no-buil... | bash |
d_bash_20207 | ---
+++
@@ -16,7 +16,7 @@
cp /vagrant/tools/vagrant_dput.cf /etc/dput.cf
cp /vagrant/tools/vagrant_collection3.conf /etc/apache2/conf.d/collection3.conf
-service apache2 restart
+service apache2 restart 1> /dev/null
cp /vagrant/tools/vagrant_drivnal.py /usr/bin/drivnal
cp /vagrant/tools/vagrant_drivnal.db /va... | bash |
d_bash_20208 | ---
+++
@@ -12,6 +12,12 @@
}
function getTag {
+
+ # Get tag from the ci if ther is one as it seems git describe does not work
+ if [ -n "$CI_COMMIT_TAG" ]; then
+ echo "$CI_COMMIT_TAG";
+ fi
+
git describe --tags --abbrev=0 2> /dev/null
}
| bash |
d_bash_20209 | ---
+++
@@ -4,32 +4,34 @@
# Installs brew cask packages, assumes brew is installed
-/usr/local/bin/brew cask install \
- qlmarkdown \ # Quick look Finder plugin
- quicklook-json \ # Quick-look Finder plugin
- qlcolorcode \ # Quick-look Finder plugin... | bash |
d_bash_20210 | ---
+++
@@ -23,7 +23,7 @@
fi
${cmake} \
- -DCMAKE_CXX_FLAGS="-Wall -Wextra -Werror" \
+ -DAMICI_CXX_OPTIONS="-Wall;-Wextra;-Werror" \
-DCMAKE_BUILD_TYPE=$build_type \
-DPython3_EXECUTABLE="$(command -v python3)" ..
| bash |
d_bash_20211 | ---
+++
@@ -1,5 +1,8 @@
#!/bin/bash
echo "Deploy position to /usr/local/bin"
-sudo cp -prv position /usr/local/bin
+sudo cp -pr position /usr/local/bin
sudo chmod a+rx /usr/local/bin/position
+
+echo "Deploy GNOME desktop shortcut to call position"
+sudo cp -pr work.desktop /usr/share/applications | bash |
d_bash_20212 | ---
+++
@@ -15,7 +15,6 @@
ssh-keygen -b 4096 -t rsa -f id-jenkins-rsa -q -N "" -C "jenkins@fabric8.io"
ssh-keygen -b 4096 -t rsa -f id-sonar-rsa -q -N "" -C "sonar@fabric8.io"
-cp ../ssh-admin-key/ssh-key.pub id-admin-rsa.pub
cd ..
| bash |
d_bash_20213 | ---
+++
@@ -14,6 +14,10 @@
"type": "integer",
"value": 4,
"metadatas": [
+ {
+ "name": "index",
+ "value": 0
+ },
{
"name": "min",
"type": "integer", | bash |
d_bash_20214 | ---
+++
@@ -7,9 +7,24 @@
exit 1
}
+function do_cmd {
+ echo "[+] $@"
+ eval "$@"
+}
+
+function git_update_submodule_with_ssh {
+ local name="$1"
+ local file="$2"
+ cat > ssh-wrapper.sh <<EOF
+#!/bin/sh
+ssh -i "$file" "$@"
+EOF
+ chmod 0755 ssh-wrapper.sh
+ do_cmd GIT_SSH=ssh-wrapper.sh... | bash |
d_bash_20215 | ---
+++
@@ -28,4 +28,5 @@
cp /vagrant/inventory /etc/ansible/hosts -f
chmod 666 /etc/ansible/hosts
cat /vagrant/ansible/files/authorized_keys >> /home/vagrant/.ssh/authorized_keys
+cd /vagrant
sudo ansible-playbook /vagrant/vagrant.yml -e hostname=$1 --connection=local | bash |
d_bash_20216 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
mkdir -p tmp
-for i in {1..12}; do
+for i in $(seq 1 12); do
sed "s/OMP_NUM_THREADS=.*/OMP_NUM_THREADS=$i/g" job.slurm |
sed "s/job-name=.*/job-name=batch-$i/g" > tmp/job$i.slurm
sbatch tmp/job$i.slurm | bash |
d_bash_20217 | ---
+++
@@ -29,6 +29,7 @@
echo "Installing..."
make
make install
+ rm -Rf phpredis
cd ..
echo "Finished installing phpredis extension."
| bash |
d_bash_20218 | ---
+++
@@ -3,5 +3,5 @@
if [[ $1 == "" ]] ; then
echo "Usage: ./packagelibs.sh version"
else
- tar -cjf haste-libs-$1.tar.bz2 include libraries/{array/{array.cabal,Data,include,LICENSE,Setup.hs},base/{base.cabal,Control,Data,Debug,Foreign,Foreign.hs,GHC,Haste,include,LICENSE,Numeric.hs,Prelude.hs,Setup.hs,S... | bash |
d_bash_20219 | ---
+++
@@ -2,13 +2,14 @@
# Adds the program to user's cronjobs.
+CRON_TIME="@hourly"
BIN_DIR="/usr/bin/"
PROGRAM="check_websites"
# Copy the program.
sudo cp $PROGRAM $BIN_DIR$PROGRAM
-TO_CRON="/usr/bin/$PROGRAM"
+TO_CRON="$CRON_TIME $BIN_DIR$PROGRAM"
# Add to user's cronjobs.
(crontab -l; echo "$TO... | bash |
d_bash_20220 | ---
+++
@@ -2,4 +2,4 @@
set -e
-exec python "$ICEKIT_PROJECT_DIR/manage.py" runserver "${@:-0.0.0.0:8080}"
+exec python "$ICEKIT_DIR/manage.py" runserver "${@:-0.0.0.0:8080}" | bash |
d_bash_20221 | ---
+++
@@ -1,17 +1,23 @@
#!/bin/bash
-function container () {
- format="{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}"
- command=`docker ps | grep ${1} | sed 's/\|/ /' | awk '{print $1}'`
- docker inspect --format "$format" $command
-}
+# TODO: @fubhy wants to get this working for Docker for Mac
+# ... | bash |
d_bash_20222 | ---
+++
@@ -21,7 +21,7 @@
it_should_dispatch_whoami_remotely_stored_key() {
- bash -c "rd adhoc -p $RUNDECK_PROJECT -F ${REMOTE_NODE}-stored -f -- whoami"
+ bash -c "RD_DEBUG=3 rd adhoc -p $RUNDECK_PROJECT -F ${REMOTE_NODE}-stored -f -- whoami"
}
| bash |
d_bash_20223 | ---
+++
@@ -14,11 +14,19 @@
disown
}
-if [[ $# -eq 1 ]]; then
+if [[ $# -gt 1 ]]; then
set -eu
case "$1" in
rpg|paradox)
- readonly path="Monster Girl Quest Paradox/Game.exe"
+ case "$2" in
+ 1|2|3)
+ readonly path="Monster Girl Quest Paradox (Part $2)/Game.exe"
+ ;;
+ *)
+ printf "U... | bash |
d_bash_20224 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/bell-sw/Liberica/releases/download/11.0.15.1+2/bellsoft-jdk11.0.15.1+2-linux-amd64.tar.gz"
;;
java17)
- echo "https://github.com/bell-sw/Liberica/releases/download/17.0.3+7/bellsoft-jdk17.0.3+7-linux-amd64.tar.gz"
+ echo "https://github.com/bell-sw/Liberica... | bash |
d_bash_20225 | ---
+++
@@ -9,10 +9,11 @@
apt-get install -y fish
fi
-
user=$1
group=$2
groupadd $2
useradd -b /home -m -s `which fish` -g $group -G sudo $user
chown -R $user:$group /home/$user
+
+echo "$user ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/$user | bash |
d_bash_20226 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-port=$port
+port=$1
if [ -z $port ]; then
port=3000
fi | bash |
d_bash_20227 | ---
+++
@@ -9,7 +9,7 @@
pushd lattice-bundle-v*/vagrant >/dev/null
AWS_INSTANCE_NAME=ci-vagrant-aws vagrant up --provider=aws
- export $(vagrant ssh -c "grep '^DOMAIN=' /var/lattice/setup" 2>/dev/null)
+ export $(vagrant ssh -c "grep '^DOMAIN=' /var/lattice/setup" 2>/dev/null | tr -d '\r')
popd >/dev/null
... | bash |
d_bash_20228 | ---
+++
@@ -5,14 +5,11 @@
apt update
apt install -y xvfb firefox gettext wget
-cd
-wget https://github.com/mozilla/geckodriver/releases/download/v0.11.1/geckodriver-v0.11.1-linux64.tar.gz
-tar xvzf geckodriver-v0.11.1-linux64.tar.gz
-mv geckodriver /usr/bin/
-
pip install --upgrade selenium
cd /edx/app/discov... | bash |
d_bash_20229 | ---
+++
@@ -10,7 +10,7 @@
sleep 5
export DISPLAY=:0.0
chromium-browser --kiosk http://localhost:8000?remote=true
- # chromium-browser --kiosk http://localhost:8000?remote=true&theme=%231C2021,%23E66A39,%231C2021,%23D04E33
+ # chromium-browser --kiosk http://localhost:8000?remote=true&theme=%231C2021&mode=d... | bash |
d_bash_20230 | ---
+++
@@ -17,5 +17,17 @@
done
if [ "$ALL" = 0 ]; then
echo "Not all the switches in help are documented in manual pages"
- exit 1;
+ exit 1
fi
+
+RES=0
+# find all tools in src/tools (files without extension)
+TOOLS=`find "${SOURCE_PATH}/src/tools" -maxdepth 1 -type f ! -name "*.*" | sed -E -e "s|.*/([a-z0-9-]... | bash |
d_bash_20231 | ---
+++
@@ -38,7 +38,7 @@
echo ""
echo "Installing grunt using bundler"
-npm install grunt-cli -g
+sudo npm install grunt-cli -g
echo ""
echo "When there were no errors please try running 'vagrant up'" | bash |
d_bash_20232 | ---
+++
@@ -1,6 +1,8 @@
# Inspired by http://sleepycoders.blogspot.de/2013/03/sharing-travis-ci-generated-files.html?_escaped_fragment_#!
if [ "$TRAVIS_PULL_REQUEST" == "false" ]; then
echo -e "Starting to update gh-pages\n"
+
+ echo `ls -al`
#copy data we're interested in to other place
cp -R .build $H... | bash |
d_bash_20233 | ---
+++
@@ -2,7 +2,7 @@
# Test that all generated code is checked in.
set -e
-echo "java -jar ${HOME}/.ivy2/cache/com.github.os72/protoc-jar/jars/protoc-jar-3.5.0.jar \$@" > protoc
+echo "java -jar ${HOME}/.ivy2/cache/com.github.os72/protoc-jar/jars/protoc-jar-3.5.0.jar -v350 \$@" > protoc
chmod +x protoc
PATH=... | bash |
d_bash_20234 | ---
+++
@@ -1,5 +1,14 @@
mkdir -p ../../static
+
+# copy all static files to the static folder defined in settings.py
python3 ../src/m_play/manage.py collectstatic
+
sudo /etc/init.d/nginx restart
cd ../src/m_play/
+
+# kill process in port 8001 (in case old uwsgi is still using it)
+fuser -k 8001/tcp
+
uwsgi --... | bash |
d_bash_20235 | ---
+++
@@ -22,9 +22,7 @@
for f in $files
do
- # Changed because of name format seems was changed.
- # And now there is no db files named as ".db-*"
- f="$f*"
+ f="$f-*"
echo "About to delete $f"
rm -f $f
echo "Deletion exit code is" $? | bash |
d_bash_20236 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.12%2B7/OpenJDK11U-jdk_x64_linux_hotspot_11.0.12_7.tar.gz"
;;
java17)
- echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk17-2021-09-01-12-34-beta/OpenJDK17-jdk_x64_linux_hotspot_20... | bash |
d_bash_20237 | ---
+++
@@ -16,8 +16,8 @@
#######################################################
../../Trinity --seqType fq --max_memory 2G \
- --left reads.left.fq.gz \
- --right reads.right.fq.gz \
+ --left reads.left.fq \
+ --right reads.right.fq \
--SS_lib_t... | bash |
d_bash_20238 | ---
+++
@@ -6,7 +6,9 @@
fi
# Install my keyboard layout
-ln -snf "$ZSH/osx/US-ES-Keyboard/US-ES-International.bundle" "$HOME/Library/Keyboard Layouts/US-ES-International.bundle"
+# Apparently, symlinked keyboard layouts don't work on most of native Apple apps in Yosemite, at least
+# ln -snf "$ZSH/osx/US-ES-Keybo... | bash |
d_bash_20239 | ---
+++
@@ -9,7 +9,7 @@
exit 1
fi
-$SQ $base/assert-check.nut
+$SQ $base/assert-check.nut 2>/dev/null
if [ $? -eq 0 ]; then
echo "FAILED: Squirrel interpreter doesn't properly return script exit status"
exit 1 | bash |
d_bash_20240 | ---
+++
@@ -9,7 +9,7 @@
alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative"
# alias gd='git difftool -y -x "colordiff -y -W $COLUMNS" | less -rXF'
# alias gd='git diff | cdiff -s -w 0'
-alias gd='git diff'
+alias gd... | bash |
d_bash_20241 | ---
+++
@@ -22,7 +22,11 @@
then
if [ -n "${PROJECT_ID}" ]
then
- export PROJECT_NUMBER=`gcloud projects describe "${PROJECT_ID}" --format 'value(projectNumber)'`
+ USER_EMAIL=`gcloud auth list --format="value(account)"`
+ if [ -n "${USER_EMAIL}" ]
+ then
+ export PROJECT_NUMBER=`gcloud project... | bash |
d_bash_20242 | ---
+++
@@ -6,7 +6,7 @@
set -evx
-sed -i -r "s/^(\s*)VERSION = \".+\"/\1VERSION = \"$(cat VERSION)\"/" lib/artifcatory/version.rb
+sed -i -r "s/^(\s*)VERSION = \".+\"/\1VERSION = \"$(cat VERSION)\"/" lib/artifactory/version.rb
# Once Expeditor finshes executing this script, it will commit the changes and push... | bash |
d_bash_20243 | ---
+++
@@ -5,7 +5,11 @@
if [[ ${PLATFORM} == "android" ]]; then
- # Install android ndk
+ # Note: the right way to download these packages is through the Android Studio SDK manager,
+ # these steps should be removed when/if ndk-bundle and cmake become available from the
+ # command-line SDK update t... | bash |
d_bash_20244 | ---
+++
@@ -8,4 +8,5 @@
-f netcoreapp3.1
dotnet test tests/rm.ExtensionsTest/rm.ExtensionsTest.csproj \
-c Release --no-build --no-restore \
- -f netcoreapp3.1
+ -f netcoreapp3.1 \
+ -v normal | bash |
d_bash_20245 | ---
+++
@@ -5,7 +5,7 @@
if [[ "$TRAVIS_BRANCH" != $DEPLOY_BRANCH ]]; then
version=$(head -n 1 VERSION)
version="$(echo $version | xargs)"
- version+="-nightly"
+ version+="-nightly-$(git rev-parse --short HEAD)"
echo $version > VERSION
sed -i 's/\:\ \"\(.*\)\"/\:\ \"\1-nightly\"/g' img-vers... | bash |
d_bash_20246 | ---
+++
@@ -5,24 +5,8 @@
if [[ "${OPENSSL}" == "0.9.8" ]]; then
sudo add-apt-repository "deb http://archive.ubuntu.com/ubuntu/ lucid main"
-fi
-
-if [[ "${TOX_ENV}" == "pypy" ]]; then
- sudo add-apt-repository -y ppa:pypy/ppa
-fi
-
-sudo apt-get -y update
-
-if [[ "${OPENSSL}" == "0.9.8" ]]; then
+ sudo... | bash |
d_bash_20247 | ---
+++
@@ -5,11 +5,15 @@
CYGWIN_PKGS_PORTS='ftp://ftp.cygwinports.org/pub/cygwinports/' # Cygwin Ports
# Handy aliases to each package repository
-alias apt-cyg="apt-cyg -m $CYGWIN_PKGS_MAIN"
-alias apt-cyp="apt-cyg -m $CYGWIN_PKGS_PORTS"
+if command -v apt-cyg 2>&1; then
+ alias apt-cyg="apt-cyg -m $CYGWIN_P... | bash |
d_bash_20248 | ---
+++
@@ -14,7 +14,7 @@
rm -f ${DEST}
ln -s ${SOURCE} ${DEST}
-function monitGetStateFileAccess { stat -c "%x" "/root/.monit.state"; }
+function monitGetStateFileAccess { stat -c "%Y" "/root/.monit.state"; }
export -f monitGetStateFileAccess
export MONIT_STATE_FILE_ACCESS=$(monitGetStateFileAccess)
function ... | bash |
d_bash_20249 | ---
+++
@@ -2,24 +2,27 @@
# List of formats (short names).
read -d '' formats << EOF
+clojure
h
-xcode
-swift
-sh
-py
-pl
-lua
-php
+hpp
ini
+java
+javaprop
js
json
-java
-javaprop
+lua
+m4
+matlab
+octave
+php
+pl
+py
+rpm
+scheme
+sh
+swift
tex
-m4
-scheme
-clojure
-rpm
+xcode
EOF
cd "$(git rev-parse -... | bash |
d_bash_20250 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash -e
-sudo apt-get install build-essential libcurl4-openssl-dev intltool checkinstall libssl-dev
+sudo apt-get install build-essential libcurl4-openssl-dev intltool checkinstall libssl-dev pkg-config
tar xvzf deps/libevent-2.0.22-stable.tar.gz
cd libevent-2.0.22-stable | bash |
d_bash_20251 | ---
+++
@@ -4,7 +4,7 @@
EXTRACTED=0
for ZIP_FILE in zips/android*.zip; do
((TOTAL++))
- APK_FILE=$(echo $ZIP_FILE | sed "s/android/ContentShell/;s|zips/||;s/zip/apk/")
+ APK_FILE=$(echo $ZIP_FILE | sed "s/android/ContentShell/;s/zip/apk/")
if [ ! -f $APK_FILE ]; then
echo "Extracting $APK_FILE..."
... | bash |
d_bash_20252 | ---
+++
@@ -1,6 +1,11 @@
#!/usr/bin/env sh
-NUM_TESTS=10
+if [ -z $NUM_TESTS ]; then
+ NUM_TESTS=10
+fi
+
+echo "Setting num tests to ${NUM_TESTS}..."
+
TRACE_FILE=/tmp/partisan-latest.trace
COUNTEREXAMPLE_CONSULT_FILE=/tmp/partisan-counterexample.consult
REBAR_COUNTEREXAMPLE_CONSULT_FILE=_build/test/rebar3_... | bash |
d_bash_20253 | ---
+++
@@ -10,7 +10,7 @@
# include components
lib_dir="$(dirname $BASH_SOURCE)/lib"
-components=( evars output payload pkgsrc render run validate )
+components=( output payload pkgsrc render run validate )
for component in "${components[@]}"
do
. ${lib_dir}/${component}.sh | bash |
d_bash_20254 | ---
+++
@@ -1,8 +1,15 @@
#!/bin/bash
set -e
-# test name
+# test name and purpose
echo ''
-echo ' ##### Release Build Test #####'
+echo ' ##### Release Build Test #####'
+echo ''
+echo 'The purpose of this test is to ensure that nodeos was built without debugging'
+ec... | bash |
d_bash_20255 | ---
+++
@@ -2,11 +2,6 @@
galaxy_dir=$1
current_dir=$PWD
-
-# Pull galaxy code
-cd $galaxy_dir
-git pull
-cd $current_dir
# Prepary galaxy tools which are in git submodules
./src/prepare_git_submodules.sh | bash |
d_bash_20256 | ---
+++
@@ -6,8 +6,8 @@
# Download PySide2 wheels
export URL="http://download.qt.io/snapshots/ci/pyside/5.11/latest/"
-if [ "$USE_CONDA" = "Yes"]; then
- if [ "$PYTHON_VERSION" = "2.7"]; then
+if [ "$USE_CONDA" = "Yes" ]; then
+ if [ "$PYTHON_VERSION" = "2.7" ]; then
conda remove -q qt pyqt
... | bash |
d_bash_20257 | ---
+++
@@ -3,6 +3,7 @@
alias l='ls -alh'
alias bc='bc -l'
alias g='git status'
+alias p='pbpaste | purify | trim | pbcopy'
alias u='pbpaste | uglifyjs --mangle 2>/dev/null | pbcopy'
alias strip-meta='exiftool $@ "-All=" -overwrite_original'
alias fuck-this-shit='git stash; git stash drop; git gc; git prune -v;... | bash |
d_bash_20258 | ---
+++
@@ -21,5 +21,5 @@
domain=${1:-'orig.spf-tools.ml'}
-despfit $domain $loopfile
+despfit $domain $loopfile | grep .
cleanup $loopfile | bash |
d_bash_20259 | ---
+++
@@ -4,7 +4,7 @@
alias sudo='sudo '
# quick switch to root
-alias su='sudo -i'
+alias suroot='sudo -E zsh'
# remove prezto default '-i' args
alias cp='nocorrect cp' | bash |
d_bash_20260 | ---
+++
@@ -1,40 +1,69 @@
#!/bin/env bash
+usage() {
+ cat >&2 << EOF
+Usage: ${0##*/} [OPTIONS] target destination
+
+OPTIONS:
+ -h help
+ option1 description
+EOF
+}
+main() {
+ echo "Script template"
-extension=""
-outputfile=""
-outputDir="convertedMP3s"
-output=""
+ local -r optlist="abcdefgh"
+... | bash |
d_bash_20261 | ---
+++
@@ -4,3 +4,7 @@
sudo npm install -g tern
sudo npm install -g js-beautify
sudo npm install -g jshint
+
+# Packages needed for Spacemacs markup layer
+sudo npm install -g vmd
+sudo ln -s /usr/bin/vmd /usr/bin/markdown | bash |
d_bash_20262 | ---
+++
@@ -2,6 +2,7 @@
set -e
+BACKUP=/var/backup
USER=$1
PROJEKTNAME=$USER
@@ -17,7 +18,22 @@
## Share Ordner löschen:
-rm -r /srv/samba/$PROJEKTNAME
+mkdir -p $BACKUP
+
+ts=`date "+%s"`
+targetdir=${BACKUP}/${PROJEKTNAME}.${ts}
+sharedir=/srv/samba/$PROJEKTNAME
+i=0
+while [ $i < 100 ]; do
+ if [ ! -... | bash |
d_bash_20263 | ---
+++
@@ -7,8 +7,8 @@
npm ci
npm run lint
npm run build
-TS_NODE_FILES=true npm test
-TS_NODE_FILES=true npm test:browser
+TS_NODE_FILES=true npm run test
+TS_NODE_FILES=true npm run test:browser
if [ ! -d "$repo/deployment/.venv" ]; then
python3 -m venv "$repo/deployment/.venv" | bash |
d_bash_20264 | ---
+++
@@ -9,7 +9,7 @@
mkdir ~/.yard
bundle exec yard config -a autoload_plugins yard-doctest
-if [[ "$WATIR_WEBDRIVER_BROWSER" = "chrome" ]]; then
+if [[ "$RAKE_TASK" = "spec:chrome" ]]; then
export CHROME_REVISION=`curl -s http://commondatastorage.googleapis.com/chromium-browser-snapshots/Linux_x64/LAST_CHA... | bash |
d_bash_20265 | ---
+++
@@ -5,6 +5,7 @@
aliases=(
[1.5]='1'
[2.3]='2 latest'
+ [5.0]='5'
)
cd "$(dirname "$(readlink -f "$BASH_SOURCE")")" | bash |
d_bash_20266 | ---
+++
@@ -11,9 +11,9 @@
install 'development tools' build-essential
-install Ruby ruby2.2 ruby2.2-dev
-update-alternatives --set ruby /usr/bin/ruby2.2 >/dev/null 2>&1
-update-alternatives --set gem /usr/bin/gem2.2 >/dev/null 2>&1
+install Ruby ruby2.3 ruby2.3-dev
+update-alternatives --set ruby /usr/bin/ruby2.... | bash |
d_bash_20267 | ---
+++
@@ -4,8 +4,8 @@
BUILD_OSTYPE="Ubuntu_64"
# last 'non LTS' version
-BOX="ubuntu-14.10-amd64"
-ISO_URL="http://releases.ubuntu.com/releases/14.10/ubuntu-14.10-server-amd64.iso"
-ISO_MD5="91bd1cfba65417bfa04567e4f64b5c55"
+BOX="ubuntu-15.04-amd64"
+ISO_URL="http://releases.ubuntu.com/releases/15.04/ubuntu-15... | bash |
d_bash_20268 | ---
+++
@@ -6,7 +6,7 @@
# Install Composer and project dependencies.
curl -sS https://getcomposer.org/installer | php
-composer install
+php composer.phar install
# Copy over testing configuration.
cp config/env/.env.testing .env | bash |
d_bash_20269 | ---
+++
@@ -18,7 +18,7 @@
*) echo "Imagestream testing not supported for $OS environment." ; return 0 ;;
esac
- ct_os_test_image_stream_quickstart "${THISDIR}/../imagestreams/nodejs-${OS}.json" \
+ ct_os_test_image_stream_quickstart "${THISDIR}/../imagestreams/nodejs-${OS%[0-9]*}.json" \
... | bash |
d_bash_20270 | ---
+++
@@ -23,4 +23,4 @@
go get honnef.co/go/tools/cmd/staticcheck
staticcheck "${GIT_REPO_DIR}/..."
# shellcheck disable=SC2046
-shellcheck -e SC2010 -e SC2181 -e SC2004 $(find . -name "*.sh")
+shellcheck -e SC2010 -e SC2181 -e SC2004 $(find . -path ./etc/plugin -prune -o -name "*.sh" -print) | bash |
d_bash_20271 | ---
+++
@@ -16,5 +16,10 @@
# We need to make sure we pick up the right versions of casperjs and phantomjs.
export PATH="$PWD/node_modules/casperjs/bin:$PWD/node_modules/phantomjs/bin:$PATH"
+echo
+echo ---------------------------------------------------------------------
+echo Starting capture.js run at `date`
+e... | bash |
d_bash_20272 | ---
+++
@@ -13,7 +13,7 @@
sudo apt-get -y install python-pip
sudo apt-get update
sudo apt-get install locales
-sudo pip install mercurial
+sudo pip install --upgrade mercurial
log "Extracting Bazel"
# Only because first time it extracts the installation | bash |
d_bash_20273 | ---
+++
@@ -1,6 +1,18 @@
#!/bin/bash
. ./config.sh
+
+if [ ! `which msgfmt` ]
+then
+ echo "Couldn't find msgfmt program, install gettext"
+ exit 1
+fi
+
+if [ ! `which libtool` ]
+then
+ echo "Couldn't find libtool program, install libtool"
+ exit 1
+fi
function build_toolchain_file () {
if [... | bash |
d_bash_20274 | ---
+++
@@ -5,7 +5,6 @@
qldirectory=~/Library/QuickLook
PLUGINS=( \
- whomwah/qlstephen \
keith/PlaygroundQuickLook \
)
| bash |
d_bash_20275 | ---
+++
@@ -1,2 +1,2 @@
-echo "ignoring: bower_components, node_modules & vendor dirs and .css files";
-cloc . --exclude-dir=bower_components,node_modules,vendor --exclude-ext=css
+echo "ignoring: bower_components, node_modules & vendor dirs";
+cloc . --exclude-dir=bower_components,node_modules,vendor | bash |
d_bash_20276 | ---
+++
@@ -1,6 +1,6 @@
VERSION=2.3.0
TAR=https://www.freedesktop.org/software/harfbuzz/release/harfbuzz-$VERSION.tar.bz2
-BUILD_DEPENDS=(freetype libpng zlib)
+BUILD_DEPENDS=(freetype gettext glib libiconv libpng pcre zlib)
function recipe_version {
echo "$VERSION"
@@ -15,7 +15,7 @@
function recipe_build ... | bash |
d_bash_20277 | ---
+++
@@ -7,6 +7,8 @@
git clone https://github.com/dan-in-ca/ospi
fi
cd ospi
+ #Change port to 8080
+ sed -i 's/"htp": 80,/"htp": 8080,/' data/sd.json
nohup python ospi.py >/dev/null 2>&1 &
echo $! > pid
sleep 5 | bash |
d_bash_20278 | ---
+++
@@ -8,3 +8,7 @@
if [ ! -d "${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux" ]; then
ln -s "${steamcmddir}" "${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux"
fi
+
+if [ ! -d "${serverfiles}/Engine/Binaries/ThirdParty/SteamCMD/Linux/steamapps" ]; then
+ ln -s "$HOME/Steam/steamapps/" "${se... | bash |
d_bash_20279 | ---
+++
@@ -8,4 +8,6 @@
echo "-------------------<br />"
./custom_match_game_values.php
echo "-------------------<br />"
+./custom_match_player_values.php
+echo "-------------------<br />"
echo "Ended at: $(date -u)" | bash |
d_bash_20280 | ---
+++
@@ -3,14 +3,14 @@
print_usage() {
echo "Usage:
- -a: Sets id status to assigned
+ -a: Sets id status to available
-p: Sets id status to published
"
}
while getopts 'ap' flag; do
case "${flag}" in
- a) new_status='Assigned' ;;
+ a) new_status='Available' ;;
p) new_... | bash |
d_bash_20281 | ---
+++
@@ -7,4 +7,4 @@
docker stop hugo-server
docker rm hugo-server
-docker run -tp 1313:1313 -v $(pwd):/site -e VIRTUAL_HOST="${1}" --name hugo-server devopsdays/docker-hugo-server:v0.17
+docker run -tp 1313:1313 -v $(pwd):/site -e VIRTUAL_HOST="${1}" --name hugo-server devopsdays/docker-hugo-server:v0.18.1 | bash |
d_bash_20282 | ---
+++
@@ -10,6 +10,7 @@
validate-twig
validate-yaml-files
validate-yarn-packages
+ test-doctrine-migrations
test-phpstan
test-psalm
test-phpspec
@@ -19,7 +20,6 @@
test-behat-without-javascript
test-behat-with-javascript
test-behat-with-cli
- test-doctrine-migration... | bash |
d_bash_20283 | ---
+++
@@ -4,8 +4,26 @@
FILE_NAME=$(basename "${BASH_SOURCE[0]}")
CURRENT_SCRIPT="$CURRENT_DIR/$FILE_NAME"
-# Nested invocation used so that output is displayed across the whole screen.
-tmux run-shell "tmux list-sessions -F '#{session_name}'"
+# Programming Tmux is great!
+#
+# For example, take a look at the b... | bash |
d_bash_20284 | ---
+++
@@ -15,3 +15,13 @@
cd $1
}
+function swap () {
+ [ $# -ne 2 ] && echo "swap: 2 arguments needed" && return 1
+ [ ! -e $1 ] && echo "swap: $1 does not exit" && return 1
+ [ ! -e $2 ] && echo "swap: $2 does not exit" && return 1
+
+ local TMPNAME=tmp.$$
+ mv "$1" TMPNAME;
+ mv "$2" "$1"
... | bash |
d_bash_20285 | ---
+++
@@ -30,5 +30,5 @@
cd $Default_path
# Finally building the client
-cd client/
-make
+#cd client/
+#make | bash |
d_bash_20286 | ---
+++
@@ -40,5 +40,8 @@
echo Crash reporting tests passed
rm "$STDERR"
+# Test diffing two files
+cargo run --quiet -- /dev/null /dev/null | wc -l | grep -E "[^0-9]0$" > /dev/null
+
echo
echo "All tests passed!" | bash |
d_bash_20287 | ---
+++
@@ -34,7 +34,7 @@
# Restore Javadocs from 1.x
git checkout gh-pages
-git cherry-pick bb229b9dcc9a21a73edbf8d936bea88f52e0a3ff
+git cherry-pick b3205fa199a19d6fbf13ee5c8e0c3d6d2b15b05f
git push
# Delete our temp folder | bash |
d_bash_20288 | ---
+++
@@ -6,3 +6,5 @@
. /etc/profile
grep "puppet" /etc/hosts || echo "@puppetServer puppet" >> /etc/hosts
+echo -e "START=yes\nDAEMON_OPTS=\"\"\n" > /etc/default/puppet
+/etc/init.d/puppet start | bash |
d_bash_20289 | ---
+++
@@ -18,7 +18,7 @@
# Git.
alias ga="git add"
-alias gc="git commit"
+alias gc="git commit -m"
alias gd="git diff"
alias gl="git log"
alias gs="git status" | bash |
d_bash_20290 | ---
+++
@@ -13,8 +13,8 @@
# Tag commit with the intended release tag (without the underscore)
git tag "$tag"
-git tag -d "_$tag"
-git push origin master
+git push origin master --tags
+git push origin :refs/tags/$tag
git reset --hard
# Read asset tags. | bash |
d_bash_20291 | ---
+++
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
-sudo apt-get -qq update &&
-sudo apt-get -qq install gettext xorg-dev libx11-xcb-dev libxcb-util0-dev libboost-all-dev libboost-log-dev
+sudo apt-get update &&
+sudo apt-get install gettext xorg-dev libx11-xcb-dev libxcb-util0-dev libboost-all-dev libboost-log-dev
| bash |
d_bash_20292 | ---
+++
@@ -1,2 +1,2 @@
#!/usr/bin/env bash
-mkdocs gh-deploy --commit-message "Update documentation from $(git rev-parse HEAD)"
+mkdocs gh-deploy -m "Update documentation from $(git rev-parse HEAD)" | bash |
d_bash_20293 | ---
+++
@@ -15,3 +15,11 @@
print "${kube_color}kube:(${context_color}${_kubectl_prompt_context}${kube_color})${reset_color} "
fi
}
+
+function js_kubectl_toggle() {
+ if [[ -n "$KUBECONFIG" ]]; then
+ unset KUBECONFIG
+ else
+ export KUBECONFIG=$HOME/.kube/config
+ fi
+} | bash |
d_bash_20294 | ---
+++
@@ -26,6 +26,7 @@
php artisan lang:js resources/assets/js/messages.js
php artisan laroute:generate
-npm install
+npm install -g yarn
+yarn
./node_modules/bower/bin/bower install --allow-root
./node_modules/gulp/bin/gulp.js --production | bash |
d_bash_20295 | ---
+++
@@ -18,7 +18,7 @@
TESTS_DIR="${ROOT}/tests"
. ${TESTS_DIR}/commonUtils.sh || { echo "Cannot load common utilities"; exit 1; }
-ISTIOCLI="${ROOT}/demos/istioctl-linux"
+ISTIOCLI="${ROOT}/demos/istioctl-linux -c ${HOME}/.kube/config"
function create_rule() {
$ISTIOCLI -n $NAMESPACE create -f $1 \ | bash |
d_bash_20296 | ---
+++
@@ -7,6 +7,8 @@
echo -e "${BOLD}>>> Resetting ${GREEN}git${NC} repository to HEAD\n${RESET}"
git reset HEAD --hard
+echo -e "\n${NC}${BOLD}>>> Install ${GREEN}Composer${NC} packages...${RESET}"
+composer install
echo -e "\n${NC}${BOLD}>>> Install ${GREEN}node${NC} packages...${RESET}"
npm install
echo ... | bash |
d_bash_20297 | ---
+++
@@ -2,21 +2,31 @@
set -e
+BRANCH_NAME='production'
+
+set +e
+git branch -D ${BRANCH_NAME}
+set -e
+
rm -rf lib
+rm -rf node_modules
npm version patch
-git checkout production
-git merge master
+git branch ${BRANCH_NAME}
+git checkout ${BRANCH_NAME}
+npm install
grunt build
+rm -rf node_modules
+n... | bash |
d_bash_20298 | ---
+++
@@ -13,6 +13,24 @@
done
fi
-if [ $# -eq 0 ] || [ $# -gt 2 ]; then
- echo "'$ translation-clean-up.sh es"
+if [ $# -eq 0 ]; then
+ for dir in ./*
+ do
+ if [[ "$dir" != "./en" ]]; then
+ for f in $dir/*.yml
+ do
+ filepath=`basename $f`
+ if [ ! -f en/$f... | bash |
d_bash_20299 | ---
+++
@@ -6,6 +6,7 @@
cd ~/Sites/presentation/mvc-basics
# You can review the migrations before they've run using the following command
+php artisan migrate:install
php artisan migrate:status
# Use artisan to run your database migrations | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.